﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using System.IO;
using System.Diagnostics;
using System.Net.Http;
using System.Net.Http.Headers;

namespace esl
{
    class SignatureImageExtraction
    {
        public static void main()
        {
            HttpClient httpClient = new HttpClient();
            httpClient.DefaultRequestHeaders.Add("Authorization", "Basic " + Properties.Settings.Default.key);
            httpClient.DefaultRequestHeaders.Add("Accept", "image/png");

            var response = httpClient.GetAsync(new Uri("https://sandbox.esignlive.com/api/account/senders/{senderId}/signatureImage")).Result;
            ByteArrayContent content = new ByteArrayContent(response.Content.ReadAsByteArrayAsync().Result);
            File.WriteAllBytes("C:/Users/hhaidary/Desktop/senderImage.png", content.ReadAsByteArrayAsync().Result);

            var response2 = httpClient.GetAsync(new Uri("https://sandbox.esignlive.com/api/packages/{packageId}/roles/{roleId}/signatureImage")).Result;
            ByteArrayContent content2 = new ByteArrayContent(response2.Content.ReadAsByteArrayAsync().Result);
            File.WriteAllBytes("C:/Users/hhaidary/Desktop/signerImage.png", content2.ReadAsByteArrayAsync().Result);
        }
    }
}
